Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorGoToRelativePoint Class Reference

A Basic Behavior for going to a point relative to the current position. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorGoToRelativePoint:

[legend]
Collaboration diagram for GT2005BasicBehaviorGoToRelativePoint:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorGoToRelativePoint (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Protected Attributes
double | x
| parameter "go-to-relative-point.x"
double | y
| parameter "go-to-relative-point.y"
double | destinationAngle
| parameter "go-to-relative-point.destination-angle"
double | distanceRemain
| parameter "go-to-relative-point.distance-remain"
double | angleRemain
| parameter "go-to-relative-point.angle-remain"
double | maxSpeed
| parameter "go-to-relative-point.max-speed"
double | maxSpeedY
| parameter "go-to-relative-point.max-speed.y"
double | walkType
| parameter "go-to-relative-point.walk-type"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.
double | startX
double | startY
double | startRot

## Detailed Description

A Basic Behavior for going to a point relative to the current position.

Author:

Definition at line 318 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorGoToRelativePoint::GT2005BasicBehaviorGoToRelativePoint | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 326 of file GT2005SimpleBasicBehaviors.h. References point, and Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorGoToRelativePoint::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 923 of file GT2005SimpleBasicBehaviors.cpp. References Geometry::angleTo(), Geometry::distanceTo(), fromDegrees(), max, min, MotionRequest::motionType, normalize(), Pose2D::rotation, WalkAccelerationRestrictor::saveLastWalkParameters(), startRot, startX, startY, toDegrees(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< V >::x, Vector2< double >::x, Vector2< V >::y, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorGoToRelativePoint::x`[protected]`

| parameter "go-to-relative-point.x" Definition at line 345 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::y`[protected]`

| parameter "go-to-relative-point.y" Definition at line 348 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::destinationAngle`[protected]`

| parameter "go-to-relative-point.destination-angle" Definition at line 351 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::distanceRemain`[protected]`

| parameter "go-to-relative-point.distance-remain" Definition at line 354 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::angleRemain`[protected]`

| parameter "go-to-relative-point.angle-remain" Definition at line 357 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::maxSpeed`[protected]`

| parameter "go-to-relative-point.max-speed" Definition at line 360 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::maxSpeedY`[protected]`

| parameter "go-to-relative-point.max-speed.y" Definition at line 363 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::walkType`[protected]`

| parameter "go-to-relative-point.walk-type" Definition at line 366 of file GT2005SimpleBasicBehaviors.h.

WalkAccelerationRestrictor GT2005BasicBehaviorGoToRelativePoint::accelerationRestrictor`[protected]`

| Restricts the walk acceleration to maximum values. Definition at line 369 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToRelativePoint::startX`[protected]`

| Definition at line 371 of file GT2005SimpleBasicBehaviors.h. Referenced by execute().

double GT2005BasicBehaviorGoToRelativePoint::startY`[protected]`

| Definition at line 372 of file GT2005SimpleBasicBehaviors.h. Referenced by execute().

double GT2005BasicBehaviorGoToRelativePoint::startRot`[protected]`

| Definition at line 373 of file GT2005SimpleBasicBehaviors.h. Referenced by execute().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp